Loading...
Searching...
No Matches
Opm::Properties::FluidSystem< TypeTag, TTag::Richards > Struct Template Reference

The fluid system used by the model. More...

`#include <richardsmodel.hh>`

## Public Types

using | type = TwoPhaseImmiscibleFluidSystem<Scalar, WettingFluid, NonWettingFluid>

## Detailed Description

template<class TypeTag>
struct Opm::Properties::FluidSystem< TypeTag, TTag::Richards >

The fluid system used by the model.

By default this uses the immiscible twophase fluid system. The actual fluids used are specified using in the problem definition by the WettingFluid and NonWettingFluid properties. Be aware that using different fluid systems in conjunction with the Richards model only makes very limited sense.

The documentation for this struct was generated from the following file:

- opm/models/richards/richardsmodel.hh